> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewimagecelllayout.md).

# DataGridViewImageCellLayout

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.1.0.0)

Specifies the layout for an image contained in a [DataGridViewCell](https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewcell.md).

{% tabs %}
{% tab title="C#" %}

```csharp
public enum DataGridViewImageCellLayout : Enum
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Enum DataGridViewImageCellLayout As [Enum]
```

{% endtab %}
{% endtabs %}

## Fields

| Name             | Description                                                                                                      |
| ---------------- | ---------------------------------------------------------------------------------------------------------------- |
| **BestFit**      | The image is scaled to the largest size such that both its width and its height can fit inside the content area. |
| **Center**       | The image is centered within the cell's client rectangle.                                                        |
| **None**         | The image is left-aligned at the top across the cell's client rectangle.                                         |
| **NotSet**       | The layout specification has not been set.                                                                       |
| **OriginalSize** | The image left-aligned at the top and sized using the image original size.                                       |
| **Stretch**      | The image is stretched across the cell's client rectangle.                                                       |
| **Tile**         | The image is tiled across the cell's client rectangle.                                                           |
| **Zoom**         | The image is enlarged within the cell's client rectangle.                                                        |

## Used By

| Name                                                                                                                                                              | Description                                                 |
| ----------------------------------------------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------- |
| [DataGridViewImageCell.ImageLayout](https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewimagecell.md#imagelayout)             | Gets or sets the layout of the image in the cell.           |
| [DataGridViewImageColumn.CellImageLayout](https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewimagecolumn.md#cellimagelayout) | Gets or sets the image layout in the cells for this column. |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/lists-and-grids/datagridview/wisej.web.datagridviewimagecelllayout.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
